# Uses of Record Class
org.apache.lucene.search.grouping.GroupDocs

- ## Uses of GroupDocs in org.apache.lucene.search.grouping

  Fields in org.apache.lucene.search.grouping declared as GroupDocs
  Modifier and Type
  Field
  Description
  `final GroupDocs<T>[]`
  TopGroups.`groups`
  Group results in groupSort order
  Constructors in org.apache.lucene.search.grouping with parameters of type GroupDocs
  Modifier
  Constructor
  Description
  ``
  `TopGroups(SortField[] groupSort, SortField[] withinGroupSort, int totalHitCount, int totalGroupedHitCount, GroupDocs<T>[] groups, float maxScore)`